/*
 * e_pq_1f.h
 *
 *  Created on: 06-07-2016
 *      Author: Krzysztof Jakubczyk
 */

#ifndef E_PQ_1F_H_
#define E_PQ_1F_H_

#include "tdefs.h"

struct e_pq_1f_logic
{
	float *i_orta;
	float *i_ortb;
	float *u_orta;
	float *u_ortb;
	float *p;
	float *q;
};

struct e_pq_1f_io
{
	u32 i_orta_float_in;
	u32 i_ortb_float_in;
	u32 u_orta_float_in;
	u32 u_ortb_float_in;
	u32 p_float_out;
	u32 q_float_out;
}__attribute__((__packed__));

struct e_pq_1f_params
{
}__attribute__((__packed__));

struct e_pq_1f_args
{
	struct e_pq_1f_io io;
	struct e_pq_1f_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void e_pq_1f_100hz(void *args, void *logic);
extern int e_pq_1f_initlog(void *arguments, void *logic);

#endif /* E_PQ_1F_H_ */
